# How to contribute

If you are happy writing in bash, please create a PR for any changes
you'd like to see included (or bug fixes).

If you aren't happy writing in bash, please open an issue with as much
detail as possible about the issue or what you'd like to see added /
improved.

## Submitting changes

Please update the 'revision history' and version number at the top of
the code (without this I can't easily do a merge)

Please update just one issue per PR. If there are multiple issues,
please provide separate PR's one per issue.

## Coding conventions

Please see the guidelines at <https://github.com/srvrco/getssl/wiki/Bash-Style-guide>

## Testing

Please test with [shellcheck](https://github.com/koalaman/shellcheck),
although this will also be tested on github (via travis) on all PRs.

Please remember that the system is used across a wide range of
platforms, so if you have access to multiple operating systems, please
test on all.

Thanks :)
